Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/pbar.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/pbar.F	(revision 5082)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/pbar.F	(revision 5086)
@@ -87,7 +87,7 @@
 
 
-      DO 1 ij = 1, ip1jmp1 - 1
+      DO ij = 1, ip1jmp1 - 1
       pbarx( ij ) = pext(ij) * alpha1p2(ij) + pext(ij+1)*alpha3p4(ij+1)
-   1  CONTINUE
+      END DO
 
 c    .... correction pour pbarx( iip1,j) .....
@@ -95,19 +95,19 @@
 c    ...    pbarx(iip1,j)= pbarx(1,j) ...
 CDIR$ IVDEP
-      DO 2 ij = iip1, ip1jmp1, iip1
+      DO ij = iip1, ip1jmp1, iip1
       pbarx( ij ) = pbarx( ij - iim )
-   2  CONTINUE
+      END DO
 
 
-      DO 3 ij = 1,ip1jm
+      DO ij = 1,ip1jm
       pbary( ij ) = pext(   ij  )   * alpha2p3(   ij   )     +
      *              pext( ij+iip1 ) * alpha1p4( ij+iip1 )
-   3  CONTINUE
+      END DO
 
 
-      DO 5 ij = 1, ip1jm - 1
+      DO ij = 1, ip1jm - 1
       pbarxy( ij ) = pext(ij)*alpha2(ij) + pext(ij+1)*alpha3(ij+1) +
      *   pext(ij+iip1)*alpha1(ij+iip1) + pext(ij+iip2)*alpha4(ij+iip2)
-   5  CONTINUE
+      END DO
 
 
@@ -116,7 +116,7 @@
 CDIR$ IVDEP
 
-      DO 7 ij = iip1, ip1jm, iip1
+      DO ij = iip1, ip1jm, iip1
       pbarxy( ij ) = pbarxy( ij - iim )
-   7  CONTINUE
+      END DO
 
 
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/prather.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/prather.F	(revision 5082)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/prather.F	(revision 5086)
@@ -149,5 +149,5 @@
        call advxp( limit,0.5*dt,pbaru,sm,s0,sx,sy,sz
      .             ,sxx,sxy,sxz,syy,syz,szz,1 )
-        end do
+        END DO
         do l=1,llm
         do i=1,iip1
@@ -206,5 +206,5 @@
        call advxp( limit,0.5*dt,pbaru,sm,s0,sx,sy,sz
      .             ,sxx,sxy,sxz,syy,syz,szz,1 )
-        end do
+        END DO
 c---------------------------------------------------------
 c---------------------------------------------------------
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/psextbar.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/psextbar.F	(revision 5082)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/psextbar.F	(revision 5086)
@@ -89,8 +89,8 @@
 
 
-      DO     5     ij = 1, ip1jm - 1
+      DO     ij = 1, ip1jm - 1
       psexbarxy( ij ) = pext(ij)*alpha2(ij) + pext(ij+1)*alpha3(ij+1) +
      *   pext(ij+iip1)*alpha1(ij+iip1) + pext(ij+iip2)*alpha4(ij+iip2)
-   5  CONTINUE
+      END DO
 
 
@@ -99,7 +99,7 @@
 CDIR$ IVDEP
 
-      DO 7 ij = iip1, ip1jm, iip1
+      DO ij = iip1, ip1jm, iip1
       psexbarxy( ij ) = psexbarxy( ij - iim )
-   7  CONTINUE
+      END DO
 
 
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/rotat.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/rotat.F	(revision 5082)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/rotat.F	(revision 5086)
@@ -30,5 +30,5 @@
 c
 c
-      DO  10 l = 1,klevel
+      DO  l = 1,klevel
 c
         DO   ij = 1, ip1jm - 1
@@ -44,5 +44,5 @@
         ENDDO
 c
-  10  CONTINUE
+      END DO
 
 ccc        CALL filtreg( rot, jjm, klevel, 2, 2, .FALSE., 1 )
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/rotat_nfil.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/rotat_nfil.F	(revision 5082)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/rotat_nfil.F	(revision 5086)
@@ -30,5 +30,5 @@
 c
 c
-      DO  10 l = 1,klevel
+      DO  l = 1,klevel
 c
         DO   ij = 1, ip1jm - 1
@@ -44,5 +44,5 @@
         ENDDO
 c
-  10  CONTINUE
+      END DO
 
       RETURN
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/rotatf.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/rotatf.F	(revision 5082)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/rotatf.F	(revision 5086)
@@ -31,5 +31,5 @@
 c
 c
-      DO  10 l = 1,klevel
+      DO  l = 1,klevel
 c
         DO   ij = 1, ip1jm - 1
@@ -45,5 +45,5 @@
         ENDDO
 c
-  10  CONTINUE
+      END DO
 
         CALL filtreg( rot, jjm, klevel, 2, 2, .FALSE., 1 )
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/rotatst.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/rotatst.F	(revision 5082)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/rotatst.F	(revision 5086)
@@ -24,10 +24,10 @@
 c
 c
-      DO 5 l = 1,klevel
+      DO l = 1,klevel
 c
-      DO 1 ij = 1, ip1jm - 1
+      DO ij = 1, ip1jm - 1
       rot( ij,l )  =  (  y( ij+1 , l )  -  y( ij,l )   +
      *                 x(ij +iip1, l )  -  x( ij,l )  )
-   1  CONTINUE
+      END DO
 c
 c    .... correction pour rot( iip1,j,l)  ....
@@ -35,9 +35,9 @@
 c    ....   rot(iip1,j,l)= rot(1,j,l) ...
 CDIR$ IVDEP
-      DO 2 ij = iip1, ip1jm, iip1
+      DO ij = iip1, ip1jm, iip1
       rot( ij,l ) = rot( ij -iim,l )
-   2  CONTINUE
+      END DO
 c
-   5  CONTINUE
+      END DO
       RETURN
       END
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/advect_new_loc.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/advect_new_loc.F	(revision 5082)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/advect_new_loc.F	(revision 5086)
@@ -63,7 +63,7 @@
          deuxjour = 2. * daysec
 
-         DO   1  ij   = 1, ip1jmp1
+         DO   ij   = 1, ip1jmp1
          unsaire2(ij) = unsaire(ij) * unsaire(ij)
-   1     CONTINUE
+      END DO
       END IF
 
@@ -175,5 +175,5 @@
 
 c$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
-      DO 20 l = 1, llmm1
+      DO l = 1, llmm1
 
 
@@ -183,7 +183,7 @@
       if (pole_sud)  ije=ij_end
       
-      DO 5   ij   = ijb, ije
+      DO ij   = ijb, ije
       wsur2( ij ) = - 0.5 * w( ij,l+1 )
-   5  CONTINUE
+      END DO
 
 
@@ -195,10 +195,10 @@
       if (pole_sud)  ije=ije-iip1
          
-      DO 6 ij = ijb ,ije-1
+      DO ij = ijb ,ije-1
       ww        = wsur2 (  ij  )     + wsur2( ij+1 ) 
       uu        = 0.5 * ( ucov(ij,l) + ucov(ij,l+1) )
       du1(ij,l)  =  ww * ( uu - uav(ij, l ) )/massebx(ij, l )
       du2(ij,l+1)=  ww * ( uu - uav(ij,l+1) )/massebx(ij,l+1)
-   6  CONTINUE
+      END DO
 
 c     .................    calcul pour   dv      .....................
@@ -207,10 +207,10 @@
       if (pole_sud)  ije=ij_end-iip1
       
-      DO 8 ij = ijb, ije
+      DO ij = ijb, ije
       ww        = wsur2( ij+iip1 )   + wsur2( ij )
       vv        = 0.5 * ( vcov(ij,l) + vcov(ij,l+1) )
       dv1(ij,l)  =  ww * (vv - vav(ij, l ) )/masseby(ij, l )
       dv2(ij,l+1)=  ww * (vv - vav(ij,l+1) )/masseby(ij,l+1)
-   8  CONTINUE
+      END DO
 
 c
@@ -226,9 +226,9 @@
         ije=ij_end
         
-        DO 15 ij = ijb, ije
+        DO ij = ijb, ije
          ww            = wsur2(ij) * (teta(ij,l) + teta(ij,l+1) )
          dteta1(ij, l ) =   ww
          dteta2(ij,l+1) =   ww
-  15    CONTINUE
+      END DO
 
 c ym ---> conser a voir plus tard
@@ -243,5 +243,5 @@
 c      END IF
 
-  20  CONTINUE
+      END DO
 c$OMP END DO
 
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/bernoui_loc.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/bernoui_loc.F	(revision 5082)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/bernoui_loc.F	(revision 5086)
@@ -54,7 +54,7 @@
       DO l=1,llm
     
-        DO 4 ij = ijb,ije
+        DO ij = ijb,ije
           pbern( ij,l ) =  pphi( ij,l ) + pecin( ij,l )
-   4    CONTINUE
+      END DO
        
        ENDDO
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/convflu_loc.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/convflu_loc.F	(revision 5082)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/convflu_loc.F	(revision 5086)
@@ -34,5 +34,5 @@
      
 c$OMP DO SCHEDULE(STATIC,OMP_CHUNK)          
-      DO 5 l = 1,nbniv
+      DO l = 1,nbniv
 c
         ijb=ij_begin
@@ -42,8 +42,8 @@
         IF (pole_sud)  ije=ij_end-iip1
         
-        DO 2  ij = ijb , ije - 1
+        DO ij = ijb , ije - 1
           convfl(ij+1,l) = xflu(ij,l) - xflu(ij+ 1,l)   +
      *                     yflu(ij +1,l ) - yflu( ij -iim,l )
-   2    CONTINUE
+      END DO
 c
 c
@@ -53,7 +53,7 @@
 c
 CDIR$ IVDEP
-        DO 3 ij = ijb,ije,iip1
+        DO ij = ijb,ije,iip1
           convfl( ij,l ) = convfl( ij + iim,l )
-   3    CONTINUE
+      END DO
 c
 c     ......  calcul aux poles  .......
@@ -79,5 +79,5 @@
         ENDIF
       
-   5  CONTINUE
+      END DO
 c$OMP END DO NOWAIT   
       RETURN
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/covcont_loc.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/covcont_loc.F	(revision 5082)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/covcont_loc.F	(revision 5086)
@@ -44,15 +44,15 @@
 
 c$OMP DO SCHEDULE(STATIC,OMP_CHUNK)    
-      DO 10 l = 1,klevel
+      DO l = 1,klevel
 
-      DO 2  ij = ijb_u,ije_u
+      DO ij = ijb_u,ije_u
       ucont( ij,l ) = ucov( ij,l ) * unscu2( ij )
-   2  CONTINUE
+      END DO
 
-      DO 4 ij = ijb_v,ije_v
+      DO ij = ijb_v,ije_v
       vcont( ij,l ) = vcov( ij,l ) * unscv2( ij )
-   4  CONTINUE
+      END DO
 
-  10  CONTINUE
+      END DO
 c$OMP END DO NOWAIT
       RETURN
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/diverg_gam_loc.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/diverg_gam_loc.F	(revision 5082)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/diverg_gam_loc.F	(revision 5086)
@@ -51,5 +51,5 @@
 
 c$OMP DO SCHEDULE(STATIC,OMP_CHUNK)      
-      DO 10 l = 1,klevel
+      DO l = 1,klevel
 c
         DO  ij = ijb, ije - 1
@@ -91,5 +91,5 @@
           ENDDO
        endif
-  10  CONTINUE
+      END DO
 c$OMP END DO NOWAIT
 c
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/diverg_p.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/diverg_p.F	(revision 5082)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/diverg_p.F	(revision 5086)
@@ -47,5 +47,5 @@
       
 c$OMP DO SCHEDULE(STATIC,OMP_CHUNK)      
-      DO 10 l = 1,klevel
+      DO l = 1,klevel
 c
         DO  ij = ijb, ije - 1
@@ -88,5 +88,5 @@
 
 
-  10  CONTINUE
+      END DO
 c$OMP END DO NOWAIT
 c
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/divergf_loc.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/divergf_loc.F	(revision 5082)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/divergf_loc.F	(revision 5086)
@@ -49,5 +49,5 @@
 
 c$OMP DO SCHEDULE(STATIC,OMP_CHUNK)       
-      DO 10 l = 1,klevel
+      DO l = 1,klevel
 c
         DO  ij = ijb, ije - 1
@@ -95,5 +95,5 @@
         endif
         
-  10    CONTINUE
+      END DO
 c$OMP END DO NOWAIT
 
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dteta1_loc.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dteta1_loc.F	(revision 5082)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dteta1_loc.F	(revision 5086)
@@ -39,5 +39,5 @@
 
 c$OMP DO SCHEDULE(STATIC,OMP_CHUNK)    
-      DO 5 l = 1,llm
+      DO l = 1,llm
       
       ijb=ij_begin
@@ -47,7 +47,7 @@
       if (pole_sud)  ije=ij_end-iip1
       
-      DO 1  ij = ijb, ije - 1
+      DO ij = ijb, ije - 1
         hbxu(ij,l) = pbaru(ij,l) * 0.5 * ( teta(ij,l)+teta(ij+1,l) )
-   1  CONTINUE
+      END DO
 
 c    .... correction pour  hbxu(iip1,j,l)  .....
@@ -55,14 +55,14 @@
 
 CDIR$ IVDEP
-      DO 2 ij = ijb+iip1-1, ije, iip1
+      DO ij = ijb+iip1-1, ije, iip1
         hbxu( ij, l ) = hbxu( ij - iim, l )
-   2  CONTINUE
+      END DO
 
       ijb=ij_begin-iip1
       if (pole_nord) ijb=ij_begin
       
-      DO 3 ij = ijb,ije
+      DO ij = ijb,ije
         hbyv(ij,l)= pbarv(ij, l)* 0.5 * ( teta(ij, l)+teta(ij+iip1,l) )
-   3  CONTINUE
+      END DO
 
        if (.not. pole_sud) then
@@ -71,5 +71,5 @@
 	endif
 	
-   5  CONTINUE
+      END DO
 c$OMP END DO NOWAIT
        
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dudv1_loc.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dudv1_loc.F	(revision 5082)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dudv1_loc.F	(revision 5086)
@@ -28,5 +28,5 @@
       
 c$OMP DO SCHEDULE(STATIC,OMP_CHUNK)       
-      DO 10 l = 1,llm
+      DO l = 1,llm
 c
       ijb=ij_begin
@@ -36,9 +36,9 @@
       if (pole_sud)  ije=ij_end-iip1
       
-      DO 2  ij = ijb, ije-1 
+      DO ij = ijb, ije-1
       du( ij,l ) = 0.125 *(  vorpot(ij-iip1, l) + vorpot( ij, l)  ) *
      *                    (   pbarv(ij-iip1, l) + pbarv(ij-iim,  l) +
      *                        pbarv(   ij  , l) + pbarv(ij+ 1 ,  l)   )
-   2  CONTINUE
+      END DO
    
  
@@ -46,9 +46,9 @@
       if (pole_nord) ijb=ij_begin
       
-      DO 3 ij = ijb, ije-1 
+      DO ij = ijb, ije-1
       dv( ij+1,l ) = - 0.125 *(  vorpot(ij, l)  + vorpot(ij+1, l)  ) *
      *                        (   pbaru(ij, l)  +  pbaru(ij+1   , l) +
      *                       pbaru(ij+iip1, l)  +  pbaru(ij+iip2, l)  )
-   3  CONTINUE
+      END DO
 c
 c    .... correction  pour  dv( 1,j,l )  .....
@@ -56,9 +56,9 @@
 c
 CDIR$ IVDEP
-      DO 4 ij = ijb, ije, iip1
+      DO ij = ijb, ije, iip1
       dv( ij,l ) = dv( ij + iim, l )
-   4  CONTINUE
+      END DO
 c
-  10  CONTINUE
+      END DO
 c$OMP END DO NOWAIT
       RETURN
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dudv2_loc.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dudv2_loc.F	(revision 5082)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dudv2_loc.F	(revision 5086)
@@ -33,5 +33,5 @@
 c
 c$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
-      DO 5 l = 1,llm
+      DO l = 1,llm
 c
       ijb=ij_begin
@@ -40,8 +40,8 @@
       if (pole_sud)  ije=ije-iip1
 
-      DO 2  ij  = ijb, ije - 1
+      DO ij  = ijb, ije - 1
        du(ij,l) = du(ij,l) + 0.5* ( teta( ij,l ) + teta( ij+1,l ) ) *
      * ( pkf( ij,l ) - pkf(ij+1,l) )  + bern(ij,l) - bern(ij+1,l)
-   2  CONTINUE
+      END DO
 c
 c
@@ -50,18 +50,18 @@
 c
 CDIR$ IVDEP
-      DO 3 ij = ijb+iip1-1, ije, iip1
+      DO ij = ijb+iip1-1, ije, iip1
       du( ij,l ) = du( ij - iim,l )
-   3  CONTINUE
+      END DO
 c
 c
       if (pole_nord) ijb=ijb-iip1
 
-      DO 4 ij  = ijb,ije
+      DO ij  = ijb,ije
       dv( ij,l) = dv(ij,l) + 0.5 * ( teta(ij,l) + teta( ij+iip1,l ) ) *
      *                             ( pkf(ij+iip1,l) - pkf(  ij,l  ) )
      *                           +   bern( ij+iip1,l ) - bern( ij  ,l )
-   4  CONTINUE
+      END DO
 c
-   5  CONTINUE
+      END DO
 c$OMP END DO NOWAIT 
 c
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/grad_loc.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/grad_loc.F	(revision 5082)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/grad_loc.F	(revision 5086)
@@ -23,18 +23,18 @@
 c
 c$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
-      DO 6 l = 1,klevel
+      DO l = 1,klevel
 c
       ijb=ij_begin
       ije=ij_end
-      DO 2  ij = ijb, ije - 1
+      DO ij = ijb, ije - 1
         pgx( ij,l ) = pg( ij +1,l ) - pg( ij,l )
-   2  CONTINUE
+      END DO
 c
 c    .... correction pour  pgx(ip1,j,l)  ....
 c    ...    pgx(iip1,j,l)= pgx(1,j,l)  ....
 CDIR$ IVDEP
-      DO 3  ij = ijb+iip1-1, ije, iip1
+      DO ij = ijb+iip1-1, ije, iip1
         pgx( ij,l ) = pgx( ij -iim,l )
-   3  CONTINUE
+      END DO
 c
       ijb=ij_begin-iip1
@@ -43,9 +43,9 @@
       if (pole_sud)  ije=ij_end-iip1
       
-      DO 4 ij = ijb,ije
+      DO ij = ijb,ije
         pgy( ij,l ) = pg( ij,l ) - pg( ij +iip1,l )
-   4  CONTINUE
+      END DO
 c
-   6  CONTINUE
+      END DO
 c$OMP END DO NOWAIT
 
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/grad_p.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/grad_p.F	(revision 5082)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/grad_p.F	(revision 5086)
@@ -23,18 +23,18 @@
 c
 c$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
-      DO 6 l = 1,klevel
+      DO l = 1,klevel
 c
       ijb=ij_begin
       ije=ij_end
-      DO 2  ij = ijb, ije - 1
+      DO ij = ijb, ije - 1
         pgx( ij,l ) = pg( ij +1,l ) - pg( ij,l )
-   2  CONTINUE
+      END DO
 c
 c    .... correction pour  pgx(ip1,j,l)  ....
 c    ...    pgx(iip1,j,l)= pgx(1,j,l)  ....
 CDIR$ IVDEP
-      DO 3  ij = ijb+iip1-1, ije, iip1
+      DO ij = ijb+iip1-1, ije, iip1
         pgx( ij,l ) = pgx( ij -iim,l )
-   3  CONTINUE
+      END DO
 c
       ijb=ij_begin-iip1
@@ -43,9 +43,9 @@
       if (pole_sud)  ije=ij_end-iip1
       
-      DO 4 ij = ijb,ije
+      DO ij = ijb,ije
         pgy( ij,l ) = pg( ij,l ) - pg( ij +iip1,l )
-   4  CONTINUE
+      END DO
 c
-   6  CONTINUE
+      END DO
 c$OMP END DO NOWAIT
 
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/integrd_loc.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/integrd_loc.F	(revision 5082)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/integrd_loc.F	(revision 5086)
@@ -124,9 +124,9 @@
 
 c$OMP DO SCHEDULE(STATIC)
-      DO 2 ij = ijb,ije
+      DO ij = ijb,ije
        pscr (ij)    = ps0(ij)
        ps (ij)      = psm1(ij) + dt * dp(ij)     
 
-   2  CONTINUE
+      END DO
 
 c$OMP END DO  
@@ -250,5 +250,5 @@
 
 c$OMP DO SCHEDULE(STATIC,OMP_CHUNK) 
-      DO 10 l = 1,llm
+      DO l = 1,llm
       
       ijb=ij_begin
@@ -257,8 +257,8 @@
       if (pole_sud)  ije=ij_end-iip1
       
-      DO 4 ij = ijb,ije
+      DO ij = ijb,ije
       uscr( ij )   =  ucov( ij,l )
       ucov( ij,l ) = ucovm1( ij,l ) + dt * du( ij,l )
-   4  CONTINUE
+      END DO
 
       ijb=ij_begin
@@ -266,17 +266,17 @@
       if (pole_sud)  ije=ij_end-iip1
       
-      DO 5 ij = ijb,ije
+      DO ij = ijb,ije
       vscr( ij )   =  vcov( ij,l )
       vcov( ij,l ) = vcovm1( ij,l ) + dt * dv( ij,l )
-   5  CONTINUE
+      END DO
       
       ijb=ij_begin
       ije=ij_end
       
-      DO 6 ij = ijb,ije
+      DO ij = ijb,ije
       hscr( ij )    =  teta(ij,l)
       teta ( ij,l ) = tetam1(ij,l) *  massem1(ij,l) / masse(ij,l) 
      $                + dt * dteta(ij,l) / masse(ij,l)
-   6  CONTINUE
+      END DO
 
 c   ....  Calcul de la valeur moyenne, unique  aux poles pour  teta    ......
@@ -324,5 +324,5 @@
       END IF
 
-  10  CONTINUE
+      END DO
 c$OMP END DO NOWAIT
 
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/massdair_loc.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/massdair_loc.F	(revision 5082)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/massdair_loc.F	(revision 5086)
@@ -92,5 +92,5 @@
 
 c$OMP DO SCHEDULE(STATIC,OMP_CHUNK)    
-      DO   100    l = 1 , llm
+      DO   l = 1 , llm
 c
         DO    ij     = ijb, ije
@@ -113,5 +113,5 @@
 c       ENDDO
        
-100   CONTINUE
+      END DO
 c$OMP END DO NOWAIT
 c
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/mod_hallo.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/mod_hallo.F90	(revision 5082)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/mod_hallo.F90	(revision 5086)
@@ -169,5 +169,5 @@
     do while (Buffer_Pos(Index_Pos)==-1 .and. Index_Pos>1)
       Index_Pos=Index_Pos-1
-    end do
+    END DO
 
   end subroutine deallocate_buffer  
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/nxgrad_gam_loc.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/nxgrad_gam_loc.F	(revision 5082)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/nxgrad_gam_loc.F	(revision 5086)
@@ -25,5 +25,5 @@
 c
 c$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
-      DO 10 l = 1,klevel
+      DO l = 1,klevel
 c
       ijb=ij_begin
@@ -31,7 +31,7 @@
       if(pole_sud) ije=ij_end-iip1
       
-      DO 1  ij = ijb+1, ije
+      DO ij = ijb+1, ije
       y( ij,l ) = (rot( ij,l ) - rot( ij-1,l )) * cvscuvgam( ij )
-   1  CONTINUE
+      END DO
 c
 c    ..... correction pour  y ( 1,j,l )  ......
@@ -39,7 +39,7 @@
 c    ....    y(1,j,l)= y(iip1,j,l) ....
 CDIR$ IVDEP
-      DO 2  ij = ijb, ije, iip1
+      DO ij = ijb, ije, iip1
       y( ij,l ) = y( ij +iim,l )
-   2  CONTINUE
+      END DO
 c
       ijb=ij_begin
@@ -48,7 +48,7 @@
       if(pole_sud) ije=ij_end-iip1
       
-      DO 4  ij = ijb,ije
+      DO ij = ijb,ije
       x( ij,l ) = (rot( ij,l ) - rot( ij -iip1,l )) * cuscvugam( ij )
-   4  CONTINUE
+      END DO
     
       if (pole_nord) then
@@ -64,5 +64,5 @@
       endif
 c
-  10  CONTINUE
+      END DO
 c$OMP END DO NOWAIT
       RETURN
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/nxgrad_loc.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/nxgrad_loc.F	(revision 5082)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/nxgrad_loc.F	(revision 5086)
@@ -23,5 +23,5 @@
 c
 c$OMP DO SCHEDULE(STATIC,OMP_CHUNK)      
-      DO 10 l = 1,klevel
+      DO l = 1,klevel
 c
       ijb=ij_begin
@@ -29,7 +29,7 @@
       if (pole_sud)  ije=ij_end-iip1
        
-      DO 1  ij = ijb+1, ije
+      DO ij = ijb+1, ije
       y( ij,l ) = (  rot( ij,l ) - rot( ij-1,l )  ) * cvsurcuv( ij )
-   1  CONTINUE
+      END DO
 c
 c    ..... correction pour  y ( 1,j,l )  ......
@@ -37,7 +37,7 @@
 c    ....    y(1,j,l)= y(iip1,j,l) ....
 CDIR$ IVDEP
-      DO 2  ij = ijb, ije, iip1
+      DO ij = ijb, ije, iip1
       y( ij,l ) = y( ij +iim,l )
-   2  CONTINUE
+      END DO
 c
       ijb=ij_begin
@@ -47,7 +47,7 @@
       if (pole_sud)  ije=ij_end-iip1
       
-      DO 4  ij = ijb,ije
+      DO ij = ijb,ije
       x( ij,l ) = (  rot( ij,l ) - rot( ij -iip1,l )  ) * cusurcvu( ij )
-   4  CONTINUE
+      END DO
    
       if (pole_nord) then 
@@ -63,5 +63,5 @@
       endif
 c
-  10  CONTINUE
+      END DO
 c$OMP END DO NOWAIT
       RETURN
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/rotat_nfil_loc.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/rotat_nfil_loc.F	(revision 5082)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/rotat_nfil_loc.F	(revision 5086)
@@ -33,5 +33,5 @@
       if(pole_sud) ije=ij_end-iip1
 c$OMP DO SCHEDULE(STATIC,OMP_CHUNK)       
-      DO  10 l = 1,klevel
+      DO  l = 1,klevel
 c
         DO   ij = ijb, ije - 1
@@ -47,5 +47,5 @@
         ENDDO
 c
-  10  CONTINUE
+      END DO
 c$OMP END DO NOWAIT
       RETURN
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/rotat_p.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/rotat_p.F	(revision 5082)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/rotat_p.F	(revision 5086)
@@ -34,5 +34,5 @@
       
 c$OMP DO SCHEDULE(STATIC,OMP_CHUNK)      
-      DO  10 l = 1,klevel
+      DO  l = 1,klevel
 c
         DO   ij = ijb, ije - 1
@@ -48,5 +48,5 @@
         ENDDO
 c
-  10  CONTINUE
+      END DO
 c$OMP END DO NOWAIT
 ccc        CALL filtreg( rot, jjm, klevel, 2, 2, .FALSE., 1 )
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/rotatf_loc.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/rotatf_loc.F	(revision 5082)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/rotatf_loc.F	(revision 5086)
@@ -35,5 +35,5 @@
 
 c$OMP DO SCHEDULE(STATIC,OMP_CHUNK)      
-      DO  10 l = 1,klevel
+      DO  l = 1,klevel
 c
         DO   ij = ijb, ije - 1
@@ -49,5 +49,5 @@
         ENDDO
 c
-  10  CONTINUE
+      END DO
 c$OMP END DO NOWAIT
         jjb=jj_begin
Index: LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/calfis.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/calfis.F	(revision 5082)
+++ LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/calfis.F	(revision 5086)
@@ -347,7 +347,7 @@
 c   ------------
 
-      DO 50 l=1,llm
-
-         DO 25 j=2,jjm
+      DO l=1,llm
+
+         DO j=2,jjm
             ig0 = 1+(j-2)*iim
             zufi(ig0+1,l)= 0.5 * 
@@ -355,13 +355,13 @@
             pcvgu(ig0+1,l)= 0.5 * 
      $      ( pducov(iim,j,l)/cu(iim,j) + pducov(1,j,l)/cu(1,j) )
-            DO 10 i=2,iim
+            DO i=2,iim
                zufi(ig0+i,l)= 0.5 *
      $         ( pucov(i-1,j,l)/cu(i-1,j) + pucov(i,j,l)/cu(i,j) )
                pcvgu(ig0+i,l)= 0.5 *
      $         ( pducov(i-1,j,l)/cu(i-1,j) + pducov(i,j,l)/cu(i,j) )
-10         CONTINUE
-25      CONTINUE
-
-50    CONTINUE
+      END DO
+      END DO
+
+      END DO
 
 
Index: LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/test_disvert_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/test_disvert_m.F90	(revision 5082)
+++ LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/test_disvert_m.F90	(revision 5086)
@@ -55,6 +55,6 @@
                      p(i, l + 1) / 100., " hPa"
              end if
-          end do
-       end do
+          END DO
+       END DO
        call abort_physic("test_disvert", "bad order of pressure values", 1)
     end if
Index: LMDZ6/branches/Amaury_dev/libf/filtrez/eigen.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/filtrez/eigen.F	(revision 5082)
+++ LMDZ6/branches/Amaury_dev/libf/filtrez/eigen.F	(revision 5086)
@@ -10,10 +10,10 @@
       im=iim
 c
-      DO 48 i = 1,im
+      DO i = 1,im
 	 asm( i ) = d( im-i+1 )
- 48   CONTINUE
-      DO 49 i = 1,iim
+      END DO
+      DO i = 1,iim
 	 d( i ) = asm( i )
- 49   CONTINUE
+      END DO
 c
 c     PRINT 70,d
@@ -21,12 +21,12 @@
 		print *
 c
-      DO 51 i = 1,im
-	 DO 52 j = 1,im
+      DO i = 1,im
+	 DO j = 1,im
             asm( j ) = e( i , im-j+1 )
- 52      CONTINUE
-	 DO 50 j = 1,im
+      END DO
+	 DO j = 1,im
 	    e( i,j ) = asm( j )
- 50      CONTINUE
- 51   CONTINUE
+      END DO
+      END DO
 
       RETURN
Index: LMDZ6/branches/Amaury_dev/libf/misc/arth_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/arth_m.F90	(revision 5082)
+++ LMDZ6/branches/Amaury_dev/libf/misc/arth_m.F90	(revision 5086)
@@ -34,9 +34,9 @@
        do k=2,n
           arth_r(k)=arth_r(k-1)+increment
-       end do
+       END DO
     else
        do k=2,NPAR2_ARTH
           arth_r(k)=arth_r(k-1)+increment
-       end do
+       END DO
        temp=increment*NPAR2_ARTH
        k=NPAR2_ARTH
@@ -47,5 +47,5 @@
           temp=temp+temp
           k=k2
-       end do
+       END DO
     end if
 
@@ -68,9 +68,9 @@
        do k=2,n
           arth_i(k)=arth_i(k-1)+increment
-       end do
+       END DO
     else
        do k=2,NPAR2_ARTH
           arth_i(k)=arth_i(k-1)+increment
-       end do
+       END DO
        temp=increment*NPAR2_ARTH
        k=NPAR2_ARTH
@@ -81,5 +81,5 @@
           temp=temp+temp
           k=k2
-       end do
+       END DO
     end if
 
Index: LMDZ6/branches/Amaury_dev/libf/misc/chfev.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/chfev.F	(revision 5082)
+++ LMDZ6/branches/Amaury_dev/libf/misc/chfev.F	(revision 5086)
@@ -124,5 +124,5 @@
 C  EVALUATION LOOP.
 C
-      DO 500  I = 1, NE
+      DO I = 1, NE
          X = XE(I) - X1
          FE(I) = F1 + X*(D1 + X*(C2 + X*C3))
@@ -131,5 +131,5 @@
          IF ( X>XMA )  NEXT(2) = NEXT(2) + 1
 C        (NOTE REDUNDANCY--IF EITHER CONDITION IS TRUE, OTHER IS FALSE.)
-  500 CONTINUE
+      END DO
 C
 C  NORMAL RETURN.
Index: LMDZ6/branches/Amaury_dev/libf/misc/cray.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/cray.F	(revision 5082)
+++ LMDZ6/branches/Amaury_dev/libf/misc/cray.F	(revision 5086)
@@ -36,5 +36,5 @@
          ssum=ssum+sx(ix)
          ix=ix+incx
-      end do
+      END DO
 c
       return
Index: LMDZ6/branches/Amaury_dev/libf/misc/interpolation.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/interpolation.F90	(revision 5082)
+++ LMDZ6/branches/Amaury_dev/libf/misc/interpolation.F90	(revision 5086)
@@ -40,5 +40,5 @@
           ju=jm ! or the upper limit, as appropriate.
        end if
-    end do
+    END DO
     ! {ju == jl + 1}
 
@@ -102,5 +102,5 @@
                 inc=inc+inc ! so double the increment
              end if
-          end do ! and try again.
+          END DO ! and try again.
        else ! Hunt down:
           jhi=jlo
@@ -115,5 +115,5 @@
                 inc=inc+inc ! so double the increment
              end if
-          end do ! and try again.
+          END DO ! and try again.
        end if
     end if ! Done hunting, value bracketed.
@@ -132,5 +132,5 @@
           end if
        end if
-    end do
+    END DO
 
   END SUBROUTINE hunt
Index: LMDZ6/branches/Amaury_dev/libf/misc/ismax.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/ismax.F	(revision 5082)
+++ LMDZ6/branches/Amaury_dev/libf/misc/ismax.F	(revision 5086)
@@ -12,5 +12,5 @@
       ismax=1
       sxmax=sx(1)
-      do 10 i=1,n-1
+      do i=1,n-1
        ix=ix+incx
        if(sx(ix)>sxmax) then
@@ -18,5 +18,5 @@
          ismax=i+1
        endif
-10    continue
+      END DO
 c
       return
Index: LMDZ6/branches/Amaury_dev/libf/misc/new_unit_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/new_unit_m.F90	(revision 5082)
+++ LMDZ6/branches/Amaury_dev/libf/misc/new_unit_m.F90	(revision 5086)
@@ -19,5 +19,5 @@
        if (exist .and. .not. opened) exit
        unit = unit + 1
-    end do
+    END DO
 
   end subroutine new_unit
Index: LMDZ6/branches/Amaury_dev/libf/misc/pchdf.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/pchdf.F	(revision 5082)
+++ LMDZ6/branches/Amaury_dev/libf/misc/pchdf.F	(revision 5086)
@@ -76,16 +76,16 @@
 C  COMPUTE COEFFICIENTS OF INTERPOLATING POLYNOMIAL.
 C
-      DO 10  J = 2, K-1
-         DO 9  I = 1, K-J
+      DO J = 2, K-1
+         DO I = 1, K-J
             S(I) = (S(I+1)-S(I))/(X(I+J)-X(I))
-    9    CONTINUE
-   10 CONTINUE
+      END DO
+      END DO
 C
 C  EVALUATE DERIVATIVE AT X(K).
 C
       VALUE = S(1)
-      DO 20  I = 2, K-1
+      DO I = 2, K-1
          VALUE = S(I) + VALUE*(X(K)-X(I))
-   20 CONTINUE
+      END DO
 C
 C  NORMAL RETURN.
